<div class="row same-height ignore-padding">
    {% set nposts = 0 %}
    {% for post in posts %}
    <div class="col-sm-4 post-citoyen hidden-xs"  style="float:none">
        {% include 'AppBundle:Site:thumbnail.html.twig' %}
    </div>
    {% set nposts = nposts + 1 %}
    {% if nposts % 3 == 0  %}
</div>
<div class="row same-height">
    {% endif %}
    {% endfor %}
</div>
<div class="row ignore-padding hidden-sm hidden-md hidden-lg">
    {% set nposts = 0 %}
    {% for post in posts %}
        <div class="col-xs-12 post-citoyen"  style="float:none">
            {% include 'AppBundle:Site:thumbnail.html.twig' %}
        </div>
    {% endfor %}
</div>